import { Model, db } from '.';

export default class User extends Model {
  public id: string;

  public googleId: string;

  public static get tableName(): string {
    return 'users';
  }

  public static async findOrCreateByGoogleId(googleId: string) {
    const existingUser = await User.query().select('*').where({ googleId }).first();
    if (existingUser) {
      return existingUser;
    }

    const newUser = await User.query().insert({ googleId });
    return newUser;
  }
}
